% строим оценку импольсной характеристики по переходному процессу
% вход --- белый шум
if (is_simalution)
	u = 4*randn([N 1]);
	alpha = var(u); %дисперсия

	simulate
end

Gt_est = xcov(y,u,'biased')/alpha;
Gt_est = Gt_est(N:end);
Gt_est1 = xcov(x,u,'biased')/alpha;
Gt_est1 = Gt_est1(N:end);

subplot(1, 1, 1)
hold off
plot(t,Gt_est,';Gt_{est};r')
if (is_simalution && display_real_plot)
	hold on
	plot(t,impulse(Gz,t(end)),';Gt;b')
end
hold off
