is_simalution = 1;
display_real_plot = 1;

N = 1024*8;
% период дискретизации
Ts = 0.005;
vs = 1/Ts; v_nyq = 0.5*vs;
ws = 2*pi/Ts; w_nyq = 0.5*ws;
% частоты
vfreq = logspace(-1,1.5,100); 
wfreq = 2*pi*vfreq; 
% модель объекта
Gs = tf([1], [0.1 0.2 1]);
Gz = c2d(Gs, Ts);
Gt = impulse(Gz, (N-1)*Ts);
% модель возмущения
e_cov = 0.1; % дисперсия белого шума
[Hb,Ha] = butter(1, [20 50]/vs, 'pass'); % полоса пропускания фильтра 
Hz = tf(Hb, Ha, Ts);
%Hz = 1*Gz; % для ARX модели
Ht = impulse(Hz, (N-1)*Ts);
% генерируем вектор времен
tgen
