% МНК для ARX модели
% вход: сигнал с постоянным возбуждением порядка не ниже порядка модели

if (is_simalution)
	u = 100*randn([10000 1]);
	%u = load('input1.txt');
	%u = 0.5*u;
	simulate
end

% создаем набор данных для анализа
Z = iddata(y, u, Ts);
% оцениваем модель

% ВНИМАНИЕ! т.к. шум цветной --- то должно быть смещение
r = 0; % повышение порядка
Wz_arx = arx(Z, 'NA', 2+r, 'NB', 2+r);
Gz_arx = Wz_arx(1,1);
Hz_arx = Wz_arx(1,2);

% строим графики
figure(1)
bode_exp(wfreq, Gz_arx, ';Gz_{arx};r', 0);
if (is_simalution && display_real_plot)
	%bode_exp(wfreq, Gz, ';Gz;b', 1);
	bode_exp(wfreq, Gs, ';Gs;g', 1);
end
figure(2)
bode_exp(wfreq, Hz_arx, ';Hz_{arx};r', 0);
if (is_simalution && display_real_plot)
	bode_exp(wfreq, Hz, ';Hz;b', 1);
end
